<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::blas_bindings::same_exp&lt; matrix_multiply_exp&lt; Tlhs, Trhs &gt;, matrix_multiply_exp&lt; Ulhs, Urhs &gt;, layout &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>blas_bindings</b></li><li class="navelem"><a class="el" href="structdlib_1_1blas__bindings_1_1same__exp_3_01matrix__multiply__exp_3_01_tlhs_00_01_trhs_01_4_003a198a05279439353c0388ca847108c5.html">same_exp&lt; matrix_multiply_exp&lt; Tlhs, Trhs &gt;, matrix_multiply_exp&lt; Ulhs, Urhs &gt;, layout &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1blas__bindings_1_1same__exp_3_01matrix__multiply__exp_3_01_tlhs_00_01_trhs_01_4_00dedd503dcf1692d421926b718bd4363f.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::blas_bindings::same_exp&lt; matrix_multiply_exp&lt; Tlhs, Trhs &gt;, matrix_multiply_exp&lt; Ulhs, Urhs &gt;, layout &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a8f3e823b903a52176e89f4a01a4d2878"><td class="memItemLeft" align="right" valign="top"><a id="a8f3e823b903a52176e89f4a01a4d2878"></a>
typedef <a class="el" href="classdlib_1_1matrix__multiply__exp.html">matrix_multiply_exp</a>&lt; Tlhs, Trhs &gt;::LHS_ref_type&#160;</td><td class="memItemRight" valign="bottom"><b>T_LHS_ref_type</b></td></tr>
<tr class="separator:a8f3e823b903a52176e89f4a01a4d2878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e084aa0e962f07174fd7ebb3bd042a3"><td class="memItemLeft" align="right" valign="top"><a id="a9e084aa0e962f07174fd7ebb3bd042a3"></a>
typedef <a class="el" href="classdlib_1_1matrix__multiply__exp.html">matrix_multiply_exp</a>&lt; Tlhs, Trhs &gt;::RHS_ref_type&#160;</td><td class="memItemRight" valign="bottom"><b>T_RHS_ref_type</b></td></tr>
<tr class="separator:a9e084aa0e962f07174fd7ebb3bd042a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a547f74b8fd6619a3c3af057b34eeb68f"><td class="memItemLeft" align="right" valign="top"><a id="a547f74b8fd6619a3c3af057b34eeb68f"></a>
typedef <a class="el" href="structdlib_1_1blas__bindings_1_1noref.html">noref</a>&lt; T_LHS_ref_type &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>T_lhs_type</b></td></tr>
<tr class="separator:a547f74b8fd6619a3c3af057b34eeb68f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25496012a84282b982fdcb6ec491e3e6"><td class="memItemLeft" align="right" valign="top"><a id="a25496012a84282b982fdcb6ec491e3e6"></a>
typedef <a class="el" href="structdlib_1_1blas__bindings_1_1noref.html">noref</a>&lt; T_RHS_ref_type &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>T_rhs_type</b></td></tr>
<tr class="separator:a25496012a84282b982fdcb6ec491e3e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a881cc2a7d2d685338bafcfe4e2a0bd12"><td class="memItemLeft" align="right" valign="top"><a id="a881cc2a7d2d685338bafcfe4e2a0bd12"></a>
typedef <a class="el" href="classdlib_1_1matrix__multiply__exp.html">matrix_multiply_exp</a>&lt; Ulhs, Urhs &gt;::LHS_ref_type&#160;</td><td class="memItemRight" valign="bottom"><b>U_LHS_ref_type</b></td></tr>
<tr class="separator:a881cc2a7d2d685338bafcfe4e2a0bd12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5348fc4aff5e9dd3c6c55b6f6e328be6"><td class="memItemLeft" align="right" valign="top"><a id="a5348fc4aff5e9dd3c6c55b6f6e328be6"></a>
typedef <a class="el" href="classdlib_1_1matrix__multiply__exp.html">matrix_multiply_exp</a>&lt; Ulhs, Urhs &gt;::RHS_ref_type&#160;</td><td class="memItemRight" valign="bottom"><b>U_RHS_ref_type</b></td></tr>
<tr class="separator:a5348fc4aff5e9dd3c6c55b6f6e328be6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8272c2c5c7a691ef1e2624e28881e9ca"><td class="memItemLeft" align="right" valign="top"><a id="a8272c2c5c7a691ef1e2624e28881e9ca"></a>
typedef <a class="el" href="structdlib_1_1blas__bindings_1_1noref.html">noref</a>&lt; U_LHS_ref_type &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>U_lhs_type</b></td></tr>
<tr class="separator:a8272c2c5c7a691ef1e2624e28881e9ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a335866ed8ea871612c297ba36a2779a4"><td class="memItemLeft" align="right" valign="top"><a id="a335866ed8ea871612c297ba36a2779a4"></a>
typedef <a class="el" href="structdlib_1_1blas__bindings_1_1noref.html">noref</a>&lt; U_RHS_ref_type &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><b>U_rhs_type</b></td></tr>
<tr class="separator:a335866ed8ea871612c297ba36a2779a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a1d5ba3120eedcbefdbce0887d6b669d9"><td class="memItemLeft" align="right" valign="top">static const bool&#160;</td><td class="memItemRight" valign="bottom"><b>value</b></td></tr>
<tr class="separator:a1d5ba3120eedcbefdbce0887d6b669d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1d5ba3120eedcbefdbce0887d6b669d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d5ba3120eedcbefdbce0887d6b669d9">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Tlhs , typename Ulhs , typename Trhs , typename Urhs , typename layout &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const bool <a class="el" href="structdlib_1_1blas__bindings_1_1same__exp.html">dlib::blas_bindings::same_exp</a>&lt; <a class="el" href="classdlib_1_1matrix__multiply__exp.html">matrix_multiply_exp</a>&lt; Tlhs, Trhs &gt;, <a class="el" href="classdlib_1_1matrix__multiply__exp.html">matrix_multiply_exp</a>&lt; Ulhs, Urhs &gt;, layout &gt;::value</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= same_exp&lt;T_lhs_type,U_lhs_type,layout&gt;::value &amp;&amp; </div><div class="line">                                      same_exp&lt;T_rhs_type,U_rhs_type,layout&gt;::value</div></div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__assign_8h_source.html">matrix_assign.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
